Ticket #42111

Nation translation_domain "freeciv-core"

Date d'ouverture: 2021-04-29 09:43 Dernière mise à jour: 2021-12-01 13:38

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
6

Détails

When translation domain "freeciv" was renamed as "freeciv-core", nation rulesets, or related code in ruleset.c, was not updated.

By luck, it's not really broken, and thus I'm not targeting fix to S3_0 (that is already d3f). Though the nation ruleset files set the nonexistent domain "freeciv", that's also what ruleset.c checks for the default to be, and then does the right thing.

For later branches we should change the domain name in nation ruleset files to match the actual domain name, i.e., "freeciv-core".

As part of #43200, this has also been posted to http://forum.freeciv.org/f/viewtopic.php?f=14&t=92040

Ticket History (3/15 Histories)

2021-04-29 09:43 Updated by: cazfi
  • New Ticket "Nation translation_domain "freeciv-core"" created
2021-11-10 10:17 Updated by: cazfi
  • Details Updated
2021-11-15 13:22 Updated by: cazfi
  • Details Updated
2021-11-15 13:50 Updated by: cazfi
Commentaire

New patch versions handle also those rulesets that have their own nations included, instead of using default nations from data/nations/

2021-11-15 13:50 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
2021-11-21 08:13 Updated by: cazfi
  • Résolution Update from Accepted to Aucun
Commentaire

civ1 ruleset does not load with this.

2021-11-21 16:00 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
Commentaire

New version fixes civ1 ruleset

2021-11-23 01:19 Updated by: cazfi
Commentaire

At the same time this goes in, master needs another commit updating S3_1 commit hash to make the ruleup tests from. That commit cannot be prepared in advance, as the hash will be known only when S3_1 change has been pushed.

2021-12-01 13:38 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion